globals [
  friendship-chance
  percent-one
  percent-two
  club#
  counter
  color-one
  color-two
]


breed [introvert introverts]
breed [ambivert ambiverts]
breed [extrovert extroverts]
breed [club clubs]

to setup
  clear-all
  make-turtles
  let %-list (%-of-intro + %-of-ambi + %-of-extro )
  if %-list = 0
     [ user-message "Cannot set all sliders to 0"  stop ]
  if %-list > 100
     [user-message "Cannot set sliders as that sum is greater than 100" stop]
  if %-list < 100
     [user-message "Cannot set slides as that sum is less than 100" stop]
  reset-ticks
end

to make-turtles
  assign-personality
  layout-circle turtles max-pxcor - 1
  assign-clubs

end

to assign-personality
create-introvert ((%-of-intro * 0.01) * num)
     [ set shape "circle"]
  create-ambivert ((%-of-ambi * 0.01) * num)
     [ set shape "triangle"]
  create-extrovert ((%-of-extro * 0.01) * num)
     [ set shape "square"]
end

to assign-clubs
  ask turtles
      [set color white]
     if (club-option = "1")
           [set club# 2
           ask n-of ((num * (((club# - 1)) / club#))) turtles
              [set color red]
           ]

     if (club-option = "2")
           [set club# 3
          ask n-of ((num * (((club# - 1)) / club#))) turtles
              [set color red]
           ask n-of ((num * (((club# - 2)) / club#))) turtles
              [set color green]
           ]

     if (club-option = "3")
         [set club# 4
          ask n-of ((num * (((club# - 1)) / club#))) turtles
              [set color red]
          ask n-of ((num * (((club# - 2)) / club#))) turtles
              [set color green]
          ask n-of ((num * (((club# - 3)) / club#))) turtles
              [set color blue]
           ]
     if (club-option = "4")
           [set club# 5
           ask n-of ((num * (((club# - 1)) / club#))) turtles
              [set color red]
           ask n-of ((num * (((club# - 2)) / club#))) turtles
              [set color green]
           ask n-of ((num * (((club# - 3)) / club#))) turtles
              [set color blue]
           ask n-of ((num * (((club# - 4)) / club#))) turtles
              [set color pink]
            ]
     if (club-option = "5")
          [set club# 6
           ask n-of ((num * (((club# - 1)) / club#))) turtles
              [set color red]
           ask n-of ((num * (((club# - 2)) / club#))) turtles
              [set color green]
           ask n-of ((num * (((club# - 3)) / club#))) turtles
              [set color blue]
           ask n-of ((num * (((club# - 4)) / club#))) turtles
              [set color pink]
           ask n-of ((num * (((club# - 5)) / club#))) turtles
            [set color magenta]
            ]
     if (club-option = "6")
        [set club# 7
           ask n-of ((num * (((club# - 1)) / club#))) turtles
              [set color red]
           ask n-of ((num * (((club# - 2)) / club#))) turtles
              [set color green]
           ask n-of ((num * (((club# - 3)) / club#))) turtles
              [set color blue]
           ask n-of ((num * (((club# - 4)) / club#))) turtles
              [set color pink]
           ask n-of ((num * (((club# - 5)) / club#))) turtles
            [set color magenta]
           ask n-of ((num * (((club# - 6)) / club#))) turtles
            [set color grey]
            ]
     if (club-option = "7")
           [set club# 8
           ask n-of ((num * (((club# - 1)) / club#))) turtles
              [set color red]
           ask n-of ((num * (((club# - 2)) / club#))) turtles
              [set color green]
           ask n-of ((num * (((club# - 3)) / club#))) turtles
              [set color blue]
           ask n-of ((num * (((club# - 4)) / club#))) turtles
              [set color pink]
           ask n-of ((num * (((club# - 5)) / club#))) turtles
            [set color magenta]
           ask n-of ((num * (((club# - 6)) / club#))) turtles
            [set color grey]
          ask n-of ((num * (((club# - 7)) / club#))) turtles
            [set color cyan]
          ]
     if (club-option = "8")
           [set club# 9
           ask n-of ((num * (((club# - 1)) / club#))) turtles
              [set color red]
           ask n-of ((num * (((club# - 2)) / club#))) turtles
              [set color green]
           ask n-of ((num * (((club# - 3)) / club#))) turtles
              [set color blue]
           ask n-of ((num * (((club# - 4)) / club#))) turtles
              [set color pink]
           ask n-of ((num * (((club# - 5)) / club#))) turtles
            [set color magenta]
           ask n-of ((num * (((club# - 6)) / club#))) turtles
            [set color grey]
          ask n-of ((num * (((club# - 7)) / club#))) turtles
            [set color cyan]
          ask n-of ((num * (((club# - 8)) / club#))) turtles
            [set color yellow]
          ]
     if (club-option = "9")
           [set club# 10
           ask n-of ((num * (((club# - 1)) / club#))) turtles
              [set color red]
           ask n-of ((num * (((club# - 2)) / club#))) turtles
              [set color green]
           ask n-of ((num * (((club# - 3)) / club#))) turtles
              [set color blue]
           ask n-of ((num * (((club# - 4)) / club#))) turtles
              [set color pink]
           ask n-of ((num * (((club# - 5)) / club#))) turtles
            [set color magenta]
           ask n-of ((num * (((club# - 6)) / club#))) turtles
            [set color grey]
          ask n-of ((num * (((club# - 7)) / club#))) turtles
            [set color cyan]
          ask n-of ((num * (((club# - 8)) / club#))) turtles
            [set color yellow]
          ask n-of ((num * (((club# - 9)) / club#))) turtles
            [set color orange]
          ]
     if (club-option = "10")
           [set club# 11
           ask n-of ((num * (((club# - 1)) / club#))) turtles
              [set color red]
           ask n-of ((num * (((club# - 2)) / club#))) turtles
              [set color green]
           ask n-of ((num * (((club# - 3)) / club#))) turtles
              [set color blue]
           ask n-of ((num * (((club# - 4)) / club#))) turtles
              [set color pink]
           ask n-of ((num * (((club# - 5)) / club#))) turtles
            [set color magenta]
           ask n-of ((num * (((club# - 6)) / club#))) turtles
            [set color grey]
          ask n-of ((num * (((club# - 7)) / club#))) turtles
            [set color cyan]
          ask n-of ((num * (((club# - 8)) / club#))) turtles
            [set color yellow]
          ask n-of ((num * (((club# - 9)) / club#))) turtles
            [set color orange]
          ask n-of ((num * (((club# - 10)) / club#))) turtles
            [set color brown]
          ]
end

to go
  add-friends
  tick
end

to add-friends
  let node1 one-of turtles
  let node2 one-of turtles
  ;; add int/ext/amb percents here ;;
  ask node1[
     if breed = introvert
        [set percent-one 12.5]
     if breed = ambivert
        [set percent-one 25]
     if breed = extrovert
        [set percent-one 37.5]
  ]
  ask node2 [
    if breed = introvert
       [ set percent-two 12.5]
    if breed = ambivert
       [set percent-two 25]
    if breed = extrovert
       [set percent-two 37.5]
  ]
  ask node1 [
    set friendship-chance (percent-one + percent-two)
  ]
  ask node1 [
    if color = red [set color-one 1]
    if color = green [set color-one 2]
    if color = blue [set color-one 3]
    if color = pink [set color-one 4]
    if color = magenta [set color-one 5]
    if color = grey [set color-one 6]
    if color = cyan [set color-one 7]
    if color = yellow [set color-one 8]
    if color = orange [set color-one 9]
    if color = brown [set color-one 10]
  ]
  ask node2 [
    if color = red [set color-two 1]
    if color = green [set color-two 2]
    if color = blue [set color-two 3]
    if color = pink [set color-two 4]
    if color = magenta [set color-two 5]
    if color = grey [set color-two 6]
    if color = cyan [set color-two 7]
    if color = yellow [set color-two 8]
    if color = orange [set color-two 9]
    if color = brown [set color-two 10]
  ]
  ask node1 [
    if color-one = color-two [set friendship-chance friendship-chance + 5]
  ]
  ask node1 [
    ifelse node1 = node2
       [add-friends]
    [ask node1
      [if friendship-chance > random 100
        [create-link-with node2]
    ]]

  ]

end
@#$#@#$#@
GRAPHICS-WINDOW
227
10
790
574
-1
-1
6.852
1
10
1
1
1
0
0
0
1
-40
40
-40
40
0
0
1
ticks
30.0

BUTTON
17
27
83
60
Setup
Setup\n
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SLIDER
10
175
182
208
num
num
0
100
100.0
1
1
NIL
HORIZONTAL

SLIDER
10
220
182
253
%-of-intro
%-of-intro
0
100
33.0
1
1
%
HORIZONTAL

SLIDER
9
263
181
296
%-of-ambi
%-of-ambi
0
100
34.0
1
1
%
HORIZONTAL

SLIDER
9
307
181
340
%-of-extro
%-of-extro
0
100
33.0
1
1
%
HORIZONTAL

CHOOSER
10
125
148
170
club-option
club-option
"0" "1" "2" "3" "4" "5" "6" "7" "8" "9" "10"
0

BUTTON
13
75
87
111
Go Once
go\n
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
109
78
172
111
Go
go
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
0

PLOT
793
10
993
160
Total Friendships Over Time
Friendships
Time
0.0
10.0
0.0
10.0
true
false
"" ""
PENS
"default" 1.0 0 -16777216 true "" "plot count links"

PLOT
793
161
993
311
Introverts In Friendships
Time
Friendships
0.0
10.0
0.0
10.0
true
false
"" ""
PENS
"default" 1.0 0 -16777216 true "" "plot count introvert with [count my-links > 0]"

PLOT
793
314
993
464
Ambiverts In Friendships
Time
Friendships
0.0
10.0
0.0
10.0
true
false
"" ""
PENS
"default" 1.0 0 -16777216 true "" "plot count ambivert with [count my-links > 0]"

PLOT
792
466
992
616
Extroverts In Friendships
Time
Friendships
0.0
10.0
0.0
10.0
true
false
"" ""
PENS
"default" 1.0 0 -16777216 true "" "plot count extrovert with [count my-links > 0]"

PLOT
996
161
1196
311
Average Number of friendships per introvert over time
Time
Average Friendships
0.0
10.0
0.0
10.0
true
false
"" ""
PENS
"default" 1.0 0 -16777216 true "" "plot ((count introvert with [count my-links > 0]\n + count introvert with [count my-links > 1]\n + count introvert with [count my-links > 2]\n + count introvert with [count my-links > 3]\n + count introvert with [count my-links > 4]\n + count introvert with [count my-links > 5]\n + count introvert with [count my-links > 6]\n + count introvert with [count my-links > 7]\n + count introvert with [count my-links > 8]\n + count introvert with [count my-links > 9]\n + count introvert with [count my-links > 10]\n + count introvert with [count my-links > 11]\n + count introvert with [count my-links > 12]\n + count introvert with [count my-links > 13]\n + count introvert with [count my-links > 14]\n + count introvert with [count my-links > 15]\n + count introvert with [count my-links > 16]\n + count introvert with [count my-links > 17]\n + count introvert with [count my-links > 18]\n + count introvert with [count my-links > 19]\n + count introvert with [count my-links > 20]\n + count introvert with [count my-links > 21]\n + count introvert with [count my-links > 22]\n + count introvert with [count my-links > 23]\n + count introvert with [count my-links > 24]\n + count introvert with [count my-links > 25]\n + count introvert with [count my-links > 26]\n + count introvert with [count my-links > 27]\n + count introvert with [count my-links > 28]\n + count introvert with [count my-links > 29]\n + count introvert with [count my-links > 30]\n + count introvert with [count my-links > 31]\n + count introvert with [count my-links > 32]\n + count introvert with [count my-links > 33]\n + count introvert with [count my-links > 34]\n + count introvert with [count my-links > 35]\n + count introvert with [count my-links > 36]\n + count introvert with [count my-links > 37]\n + count introvert with [count my-links > 38]\n + count introvert with [count my-links > 39]\n + count introvert with [count my-links > 40]\n + count introvert with [count my-links > 41]\n + count introvert with [count my-links > 42]\n + count introvert with [count my-links > 43]\n + count introvert with [count my-links > 44]\n + count introvert with [count my-links > 45]\n + count introvert with [count my-links > 46]\n + count introvert with [count my-links > 47]\n + count introvert with [count my-links > 48]\n + count introvert with [count my-links > 49]\n + count introvert with [count my-links > 50]\n + count introvert with [count my-links > 51]\n + count introvert with [count my-links > 52]\n + count introvert with [count my-links > 53]\n + count introvert with [count my-links > 54]\n + count introvert with [count my-links > 55]\n + count introvert with [count my-links > 56]\n + count introvert with [count my-links > 57]\n + count introvert with [count my-links > 58]\n + count introvert with [count my-links > 59]\n + count introvert with [count my-links > 60]\n + count introvert with [count my-links > 61]\n + count introvert with [count my-links > 62]\n + count introvert with [count my-links > 63]\n + count introvert with [count my-links > 64]\n + count introvert with [count my-links > 65]\n + count introvert with [count my-links > 66]\n + count introvert with [count my-links > 67]\n + count introvert with [count my-links > 68]\n + count introvert with [count my-links > 69]\n + count introvert with [count my-links > 70]\n + count introvert with [count my-links > 71]\n + count introvert with [count my-links > 72]\n + count introvert with [count my-links > 73]\n + count introvert with [count my-links > 74]\n + count introvert with [count my-links > 75]\n + count introvert with [count my-links > 76]\n + count introvert with [count my-links > 77]\n + count introvert with [count my-links > 78]\n + count introvert with [count my-links > 79]\n + count introvert with [count my-links > 80]\n + count introvert with [count my-links > 81]\n + count introvert with [count my-links > 82]\n + count introvert with [count my-links > 83]\n + count introvert with [count my-links > 84]\n + count introvert with [count my-links > 85]\n + count introvert with [count my-links > 86]\n + count introvert with [count my-links > 87]\n + count introvert with [count my-links > 88]\n + count introvert with [count my-links > 89]\n + count introvert with [count my-links > 90]\n + count introvert with [count my-links > 91]\n + count introvert with [count my-links > 92]\n + count introvert with [count my-links > 93]\n + count introvert with [count my-links > 94]\n + count introvert with [count my-links > 95]\n + count introvert with [count my-links > 96]\n + count introvert with [count my-links > 97]\n + count introvert with [count my-links > 98]\n + count introvert with [count my-links > 99])/(count introvert))"

PLOT
995
314
1195
464
Average Number of friendships per ambivert over time
Time
Average Number of Frinedships
0.0
10.0
0.0
10.0
true
false
"" ""
PENS
"default" 1.0 0 -16777216 true "" "plot ((count Ambivert with [count my-links > 0]\n + count Ambivert with [count my-links > 1]\n + count Ambivert with [count my-links > 2]\n + count Ambivert with [count my-links > 3]\n + count Ambivert with [count my-links > 4]\n + count Ambivert with [count my-links > 5]\n + count Ambivert with [count my-links > 6]\n + count Ambivert with [count my-links > 7]\n + count Ambivert with [count my-links > 8]\n + count Ambivert with [count my-links > 9]\n + count Ambivert with [count my-links > 10]\n + count Ambivert with [count my-links > 11]\n + count Ambivert with [count my-links > 12]\n + count Ambivert with [count my-links > 13]\n + count Ambivert with [count my-links > 14]\n + count Ambivert with [count my-links > 15]\n + count Ambivert with [count my-links > 16]\n + count Ambivert with [count my-links > 17]\n + count Ambivert with [count my-links > 18]\n + count Ambivert with [count my-links > 19]\n + count Ambivert with [count my-links > 20]\n + count Ambivert with [count my-links > 21]\n + count Ambivert with [count my-links > 22]\n + count Ambivert with [count my-links > 23]\n + count Ambivert with [count my-links > 24]\n + count Ambivert with [count my-links > 25]\n + count Ambivert with [count my-links > 26]\n + count Ambivert with [count my-links > 27]\n + count Ambivert with [count my-links > 28]\n + count Ambivert with [count my-links > 29]\n + count Ambivert with [count my-links > 30]\n + count Ambivert with [count my-links > 31]\n + count Ambivert with [count my-links > 32]\n + count Ambivert with [count my-links > 33]\n + count Ambivert with [count my-links > 34]\n + count Ambivert with [count my-links > 35]\n + count Ambivert with [count my-links > 36]\n + count Ambivert with [count my-links > 37]\n + count Ambivert with [count my-links > 38]\n + count Ambivert with [count my-links > 39]\n + count Ambivert with [count my-links > 40]\n + count Ambivert with [count my-links > 41]\n + count Ambivert with [count my-links > 42]\n + count Ambivert with [count my-links > 43]\n + count Ambivert with [count my-links > 44]\n + count Ambivert with [count my-links > 45]\n + count Ambivert with [count my-links > 46]\n + count Ambivert with [count my-links > 47]\n + count Ambivert with [count my-links > 48]\n + count Ambivert with [count my-links > 49]\n + count Ambivert with [count my-links > 50]\n + count Ambivert with [count my-links > 51]\n + count Ambivert with [count my-links > 52]\n + count Ambivert with [count my-links > 53]\n + count Ambivert with [count my-links > 54]\n + count Ambivert with [count my-links > 55]\n + count Ambivert with [count my-links > 56]\n + count Ambivert with [count my-links > 57]\n + count Ambivert with [count my-links > 58]\n + count Ambivert with [count my-links > 59]\n + count Ambivert with [count my-links > 60]\n + count Ambivert with [count my-links > 61]\n + count Ambivert with [count my-links > 62]\n + count Ambivert with [count my-links > 63]\n + count Ambivert with [count my-links > 64]\n + count Ambivert with [count my-links > 65]\n + count Ambivert with [count my-links > 66]\n + count Ambivert with [count my-links > 67]\n + count Ambivert with [count my-links > 68]\n + count Ambivert with [count my-links > 69]\n + count Ambivert with [count my-links > 70]\n + count Ambivert with [count my-links > 71]\n + count Ambivert with [count my-links > 72]\n + count Ambivert with [count my-links > 73]\n + count Ambivert with [count my-links > 74]\n + count Ambivert with [count my-links > 75]\n + count Ambivert with [count my-links > 76]\n + count Ambivert with [count my-links > 77]\n + count Ambivert with [count my-links > 78]\n + count Ambivert with [count my-links > 79]\n + count Ambivert with [count my-links > 80]\n + count Ambivert with [count my-links > 81]\n + count Ambivert with [count my-links > 82]\n + count Ambivert with [count my-links > 83]\n + count Ambivert with [count my-links > 84]\n + count Ambivert with [count my-links > 85]\n + count Ambivert with [count my-links > 86]\n + count Ambivert with [count my-links > 87]\n + count Ambivert with [count my-links > 88]\n + count Ambivert with [count my-links > 89]\n + count Ambivert with [count my-links > 90]\n + count Ambivert with [count my-links > 91]\n + count Ambivert with [count my-links > 92]\n + count Ambivert with [count my-links > 93]\n + count Ambivert with [count my-links > 94]\n + count Ambivert with [count my-links > 95]\n + count Ambivert with [count my-links > 96]\n + count Ambivert with [count my-links > 97]\n + count Ambivert with [count my-links > 98]\n + count Ambivert with [count my-links > 99])/(count Ambivert))\n"

PLOT
994
466
1194
616
Average Number of friendships per Extrovert over time
Time
Average Number of Friendships
0.0
10.0
0.0
10.0
true
false
"" ""
PENS
"default" 1.0 0 -16777216 true "" "plot ((count Extrovert with [count my-links > 0]\n + count Extrovert with [count my-links > 1]\n + count Extrovert with [count my-links > 2]\n + count Extrovert with [count my-links > 3]\n + count Extrovert with [count my-links > 4]\n + count Extrovert with [count my-links > 5]\n + count Extrovert with [count my-links > 6]\n + count Extrovert with [count my-links > 7]\n + count Extrovert with [count my-links > 8]\n + count Extrovert with [count my-links > 9]\n + count Extrovert with [count my-links > 10]\n + count Extrovert with [count my-links > 11]\n + count Extrovert with [count my-links > 12]\n + count Extrovert with [count my-links > 13]\n + count Extrovert with [count my-links > 14]\n + count Extrovert with [count my-links > 15]\n + count Extrovert with [count my-links > 16]\n + count Extrovert with [count my-links > 17]\n + count Extrovert with [count my-links > 18]\n + count Extrovert with [count my-links > 19]\n + count Extrovert with [count my-links > 20]\n + count Extrovert with [count my-links > 21]\n + count Extrovert with [count my-links > 22]\n + count Extrovert with [count my-links > 23]\n + count Extrovert with [count my-links > 24]\n + count Extrovert with [count my-links > 25]\n + count Extrovert with [count my-links > 26]\n + count Extrovert with [count my-links > 27]\n + count Extrovert with [count my-links > 28]\n + count Extrovert with [count my-links > 29]\n + count Extrovert with [count my-links > 30]\n + count Extrovert with [count my-links > 31]\n + count Extrovert with [count my-links > 32]\n + count Extrovert with [count my-links > 33]\n + count Extrovert with [count my-links > 34]\n + count Extrovert with [count my-links > 35]\n + count Extrovert with [count my-links > 36]\n + count Extrovert with [count my-links > 37]\n + count Extrovert with [count my-links > 38]\n + count Extrovert with [count my-links > 39]\n + count Extrovert with [count my-links > 40]\n + count Extrovert with [count my-links > 41]\n + count Extrovert with [count my-links > 42]\n + count Extrovert with [count my-links > 43]\n + count Extrovert with [count my-links > 44]\n + count Extrovert with [count my-links > 45]\n + count Extrovert with [count my-links > 46]\n + count Extrovert with [count my-links > 47]\n + count Extrovert with [count my-links > 48]\n + count Extrovert with [count my-links > 49]\n + count Extrovert with [count my-links > 50]\n + count Extrovert with [count my-links > 51]\n + count Extrovert with [count my-links > 52]\n + count Extrovert with [count my-links > 53]\n + count Extrovert with [count my-links > 54]\n + count Extrovert with [count my-links > 55]\n + count Extrovert with [count my-links > 56]\n + count Extrovert with [count my-links > 57]\n + count Extrovert with [count my-links > 58]\n + count Extrovert with [count my-links > 59]\n + count Extrovert with [count my-links > 60]\n + count Extrovert with [count my-links > 61]\n + count Extrovert with [count my-links > 62]\n + count Extrovert with [count my-links > 63]\n + count Extrovert with [count my-links > 64]\n + count Extrovert with [count my-links > 65]\n + count Extrovert with [count my-links > 66]\n + count Extrovert with [count my-links > 67]\n + count Extrovert with [count my-links > 68]\n + count Extrovert with [count my-links > 69]\n + count Extrovert with [count my-links > 70]\n + count Extrovert with [count my-links > 71]\n + count Extrovert with [count my-links > 72]\n + count Extrovert with [count my-links > 73]\n + count Extrovert with [count my-links > 74]\n + count Extrovert with [count my-links > 75]\n + count Extrovert with [count my-links > 76]\n + count Extrovert with [count my-links > 77]\n + count Extrovert with [count my-links > 78]\n + count Extrovert with [count my-links > 79]\n + count Extrovert with [count my-links > 80]\n + count Extrovert with [count my-links > 81]\n + count Extrovert with [count my-links > 82]\n + count Extrovert with [count my-links > 83]\n + count Extrovert with [count my-links > 84]\n + count Extrovert with [count my-links > 85]\n + count Extrovert with [count my-links > 86]\n + count Extrovert with [count my-links > 87]\n + count Extrovert with [count my-links > 88]\n + count Extrovert with [count my-links > 89]\n + count Extrovert with [count my-links > 90]\n + count Extrovert with [count my-links > 91]\n + count Extrovert with [count my-links > 92]\n + count Extrovert with [count my-links > 93]\n + count Extrovert with [count my-links > 94]\n + count Extrovert with [count my-links > 95]\n + count Extrovert with [count my-links > 96]\n + count Extrovert with [count my-links > 97]\n + count Extrovert with [count my-links > 98]\n + count Extrovert with [count my-links > 99])/(count Extrovert))\n"

@#$#@#$#@
## WHAT IS IT?

This model is designed to show the effects of personality types and student organizations have on ones chance to making friendships in a university setting. As known from psychology studies, those that are extroverted have an easier chance making friendships in comparison to those that are introverted. 

## HOW IT WORKS

Once every tick, a pair of students (nodes) will be randomly selected. They will then have the chance to either be come friends or not (create an edge or not) based on their personallity type (you are able to chage what the effect of each personality is) and whether or not they are in the same club (you can change this value). Then, the model triggers the next tick cycle to begin.

## HOW TO USE IT

To begin initializing this model, there are a couple of parameters that can be changed prior to running this model. The "num" slider is a range of 0-100 that allows you to set the number of individuals or students that are in the model. There is a chooser named "club-option" ranging from 0-9 that represents the number of clubs that the individuals within the model can be apart of, as they represent different types of clubs. The 3 sliders regarding personality type determine the percentage of the population that is that personality type (%-of-intro, %-of-ambi, and %-of-extro). 

## THINGS TO NOTICE

This model will not run if the percentage sliders do not come out to equal 100%, as there the entire population needs to be included in order for the model to run completely. There will also be more connections that are made if more of the population is made up of extroverts and ambiverts as they are more willing to make connections. 

## THINGS TO TRY

Some intersting results occur as you change the number of clubs especially around 1 and zero clubs in relation to how quickly everyone gets a friend. 
You shold also try comparing how quickly students have two "friends" on average for different personality types

## EXTENDING THE MODEL

If there were to be changes made to advance this model past where it is at, the recommendation is to explore how to code the model so that it can expand into another semester and rerun without having to restart. Another thing worth exploring is the friendship links between individuals that are in more than one individual organization. Adding more individuals to the model would be interesting to explore as it would represent larger settings, but the results from this model can be applied to larger scale settings as is. 


## RELATED MODELS

Similiar models to this one that can be found within Netlogo are any that involve networking or randomization of networking. The Scatter Model as well as the Giant Component Model were inspiration while creating this model. 
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

sheep
false
15
Circle -1 true true 203 65 88
Circle -1 true true 70 65 162
Circle -1 true true 150 105 120
Polygon -7500403 true false 218 120 240 165 255 165 278 120
Circle -7500403 true false 214 72 67
Rectangle -1 true true 164 223 179 298
Polygon -1 true true 45 285 30 285 30 240 15 195 45 210
Circle -1 true true 3 83 150
Rectangle -1 true true 65 221 80 296
Polygon -1 true true 195 285 210 285 210 240 240 210 195 210
Polygon -7500403 true false 276 85 285 105 302 99 294 83
Polygon -7500403 true false 219 85 210 105 193 99 201 83

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

wolf
false
0
Polygon -16777216 true false 253 133 245 131 245 133
Polygon -7500403 true true 2 194 13 197 30 191 38 193 38 205 20 226 20 257 27 265 38 266 40 260 31 253 31 230 60 206 68 198 75 209 66 228 65 243 82 261 84 268 100 267 103 261 77 239 79 231 100 207 98 196 119 201 143 202 160 195 166 210 172 213 173 238 167 251 160 248 154 265 169 264 178 247 186 240 198 260 200 271 217 271 219 262 207 258 195 230 192 198 210 184 227 164 242 144 259 145 284 151 277 141 293 140 299 134 297 127 273 119 270 105
Polygon -7500403 true true -1 195 14 180 36 166 40 153 53 140 82 131 134 133 159 126 188 115 227 108 236 102 238 98 268 86 269 92 281 87 269 103 269 113

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270
@#$#@#$#@
NetLogo 6.2.0
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 0.0 1.0
0.0 1 1.0 0.0
0.2 0 0.0 1.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180
@#$#@#$#@
0
@#$#@#$#@
